> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/introduction/the-output-module-query-language.md).

# The Output Module query language

The API model has a set of well-defined entities and relations that allow you to create a single-rooted tree graph query and specify constraints that must exist for any of the resulting nodes, such as results filtering.

For example, to query all assets of type **Business Term** and their respective domain and community, specify the following tree graph:

![Example of Business Term tree graph in Collibra Output Module](/files/fOkls7TB5LLXi0c1VT7s)

{% hint style="info" %}

* The graph is a single-rooted tree graph.
* Multiple root nodes are not allowed.
* Each node has one parent.
* For each of the selected properties, you must specify a unique alias within the graph query.
* Filtering is specified on the node you want to filter and can reference any property of the current node or a child or grandchildren. The example above shows assets filtered by their related AssetType name.
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/introduction/the-output-module-query-language.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
